import { Router } from "express";
import {
  createLeaveForEmployee,
  cancelLeaveForEmployee,
  GetLeavesForList,
  GetLeaveForOthers,
  updateLeaveForEmployee,
  dashboardStats,
} from "../../controllers/leave-management/leave.management.controller";

import { authenticate } from "../../middleware/auth.middleware";

const router = Router();

router.post("/create-leave", authenticate, createLeaveForEmployee);
router.patch("/cancel-leave", authenticate, cancelLeaveForEmployee);
router.patch("/edit-leave", authenticate, updateLeaveForEmployee);
router.get("/get-my-leave/:employee_id", authenticate, GetLeavesForList);
router.get("/get-all-leave/:company_id", authenticate, GetLeaveForOthers);
router.get("/dashboard/:employee_id", authenticate, dashboardStats);

export default router;
